using System.Collections.Generic;

namespace Wizard;

public class SimulationAdditionalActionInfoSet
{
	public AIVirtualTargetSelectAction ForceEvoAction;

	public List<AIVirtualActionInfo> ExtraActionBaseList;

	public AISinglePlayptnRecord PlayPtnRecord;

	public bool HasPlaySkipWithAction
	{
		get
		{
			if (ExtraActionBaseList != null)
			{
				return ExtraActionBaseList.Count > 0;
			}
			return false;
		}
	}
}
